Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.pageeditor.ParagraphEditingProviderCallback Class Reference

Inherits SystemIDisposable.

## Public Member Functions
virtual void | AddUndoItem (ParagraphEditingUndoItem undo_item)
| A callback function used to notify the page to add undo operation. More...
virtual RectF | GetClientRect (PDFDoc document)
| A callback function to get the client rectangle in device coordinate system. More...
virtual int | GetCurrentPageIndex (PDFDoc document)
| A callback function used to get current page index. More...
virtual RectF | GetPageRect (PDFDoc document, int page_index)
| A callback function used to get page rectangle in device coordinate system. More...
virtual global::System.IntPtr | GetPageViewHandle (PDFDoc document, int page_index)
| A callback function to get the page view window handle. More...
virtual RectF | GetPageVisibleRect (PDFDoc document, int page_index)
| A callback function used to get visible page rectangle in device coordinate system. More...
virtual Matrix2D | GetRenderMatrix (PDFDoc document, int page_index)
| A callback function to get the render matrix. More...
virtual Rotation | GetRotation (PDFDoc document, int page_index)
| A callback function used to get the page view rotate. More...
virtual float | GetScale (PDFDoc document, int page_index)
| A callback function to get the scale of page. More...
virtual Int32Array | GetVisiblePageIndexArray (PDFDoc document)
| A callback function used to get visible page indexes. More...
virtual bool | GotoPageView (PDFDoc document, int page_index, float left, float top)
| A callback function to go to page view. More...
virtual void | InvalidateRect (PDFDoc document, int page_index, RectFArray invalid_rects)
| A callback function used to invalidate page rectangle. More...
virtual void | NotifyTextInputReachLimit (PDFDoc document, int page_index)
| A callback function used to notify text input reach limit. More...
virtual void | Release ()
| A callback function used to release current callback object itself. More...
virtual void | SetDocChangeMark (PDFDoc document)
| A callback function used to notify the document have changed. More...

## Detailed Description

This class represents a callback object for paragraph edit provider. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ AddUndoItem()

void foxit.addon.pageeditor.ParagraphEditingProviderCallback.AddUndoItem | ( | ParagraphEditingUndoItem | undo_item | ) |
| inline virtual

A callback function used to notify the page to add undo operation.

Parameters

  [in] | undo_item | The undo item object.

Returns
  None.

## ◆ GetClientRect()

RectF foxit.addon.pageeditor.ParagraphEditingProviderCallback.GetClientRect | ( | PDFDoc | document | ) |
| inline virtual

A callback function to get the client rectangle in device coordinate system.

Returns
  The client rectangle.

## ◆ GetCurrentPageIndex()

int foxit.addon.pageeditor.ParagraphEditingProviderCallback.GetCurrentPageIndex | ( | PDFDoc | document | ) |
| inline virtual

A callback function used to get current page index.

Returns
  The page index.

## ◆ GetPageRect()

RectF foxit.addon.pageeditor.ParagraphEditingProviderCallback.GetPageRect | ( | PDFDoc | document,
|  | int | page_index
| ) |  |
| inline virtual

A callback function used to get page rectangle in device coordinate system.

Parameters

  [in] | page_index | The page index.

Returns
  The page rectangle.

## ◆ GetPageViewHandle()

global.System.IntPtr foxit.addon.pageeditor.ParagraphEditingProviderCallback.GetPageViewHandle | ( | PDFDoc | document,
|  | int | page_index
| ) |  |
| inline virtual

A callback function to get the page view window handle.

Parameters

  [in] | page_index | The page index.

Returns
  The page view window handle.

## ◆ GetPageVisibleRect()

RectF foxit.addon.pageeditor.ParagraphEditingProviderCallback.GetPageVisibleRect | ( | PDFDoc | document,
|  | int | page_index
| ) |  |
| inline virtual

A callback function used to get visible page rectangle in device coordinate system.

Parameters

  [in] | page_index | The page index.

Returns
  The page visble rectangle.

## ◆ GetRenderMatrix()

Matrix2D foxit.addon.pageeditor.ParagraphEditingProviderCallback.GetRenderMatrix | ( | PDFDoc | document,
|  | int | page_index
| ) |  |
| inline virtual

A callback function to get the render matrix.

Parameters

  [in] | page_index | The page index.

Returns
  The matrix.

## ◆ GetRotation()

Rotation foxit.addon.pageeditor.ParagraphEditingProviderCallback.GetRotation | ( | PDFDoc | document,
|  | int | page_index
| ) |  |
| inline virtual

A callback function used to get the page view rotate.

Parameters

  [in] | page_index | The page index.

Returns
  The indent value.

## ◆ GetScale()

float foxit.addon.pageeditor.ParagraphEditingProviderCallback.GetScale | ( | PDFDoc | document,
|  | int | page_index
| ) |  |
| inline virtual

A callback function to get the scale of page.

Parameters

  [in] | page_index | The page index.

Returns
  The scale value. The returned value should be greater than 0.

## ◆ GetVisiblePageIndexArray()

Int32Array foxit.addon.pageeditor.ParagraphEditingProviderCallback.GetVisiblePageIndexArray | ( | PDFDoc | document | ) |
| inline virtual

A callback function used to get visible page indexes.

Returns
  The visble page index array.

## ◆ GotoPageView()

bool foxit.addon.pageeditor.ParagraphEditingProviderCallback.GotoPageView | ( | PDFDoc | document,
|  | int | page_index,
|  | float | left,
|  | float | top
| ) |  |
| inline virtual

A callback function to go to page view.

Parameters

  [in] | page_index | The page index.
  [in] | left | The left point where left mouse button is up in the page, in PDF coordinate system.
  [in] | top | The top point where left mouse button is up in the page, in PDF coordinate system.

Returns
  true means successful, while false means not.

## ◆ InvalidateRect()

void foxit.addon.pageeditor.ParagraphEditingProviderCallback.InvalidateRect | ( | PDFDoc | document,
|  | int | page_index,
|  | RectFArray | invalid_rects
| ) |  |
| inline virtual

A callback function used to invalidate page rectangle.

Parameters

  [in] | page_index | The page index.
  [in] | rects | The invalid areas. The rectangle in invalid_rects is in device coordinate system.

Returns
  None.

## ◆ NotifyTextInputReachLimit()

void foxit.addon.pageeditor.ParagraphEditingProviderCallback.NotifyTextInputReachLimit | ( | PDFDoc | document,
|  | int | page_index
| ) |  |
| inline virtual

A callback function used to notify text input reach limit.

Parameters

  [in] | page_index | The page index.

Returns
  None.

## ◆ Release()

void foxit.addon.pageeditor.ParagraphEditingProviderCallback.Release | ( |  | ) |
| inline virtual

A callback function used to release current callback object itself.

Returns
  None.

## ◆ SetDocChangeMark()

void foxit.addon.pageeditor.ParagraphEditingProviderCallback.SetDocChangeMark | ( | PDFDoc | document | ) |
| inline virtual

A callback function used to notify the document have changed.

Parameters

  [in] | document | The valid pdf document.

Returns
  None.